using Xunit;

namespace Model.Tests
{
    public class RoleTests
    {
        [Fact]
        public void AddUser_WithValidUser_ReturnsTrue()
        {
            // Arrange
            var role = new Athlete(); // Vous pouvez utiliser Athlete ou Coach selon votre besoin
            var user = new User(); // Créez un objet User valide

            // Act
            bool result = role.AddUser(user);

            // Assert
            Assert.True(result);
        }

        [Fact]
        public void AddUser_WithInvalidUser_ReturnsFalse()
        {
            // Arrange
            var role = new Athlete(); // Vous pouvez utiliser Athlete ou Coach selon votre besoin
            var user = new User(); // Créez un objet User invalide

            // Act
            bool result = role.AddUser(user);

            // Assert
            Assert.False(result);
        }

    }
}
